/*
 * SoftI2C.h
 *
 *  Created on: 30.01.2022
 *      Author: max
 */

#ifndef INC_SOFTI2C_H_
#define INC_SOFTI2C_H_

#include "stm32f4xx_hal.h"


void Soft_I2C_Init();
void Soft_I2C_Transmit(uint8_t address, uint8_t* databuffer,uint8_t bufferlength);
void Soft_I2C_Receive(uint8_t address, uint8_t* databuffer, uint8_t bufferlength);

void SDA_WriteMode();
void SDA_ReadMode();

void setSDA(uint8_t state);
uint8_t readSDA();

void setSDCLK();
void resetSDCLK();

void bitwait();

#endif /* INC_SOFTI2C_H_ */
